<mamecheat version="1">

  <cheat desc="Select Starting Stage">
    <parameter>
      <item value="0x00">Stage 1</item>
      <item value="0x01">Stage 2-1</item>
      <item value="0x02">Stage 2-2</item>
      <item value="0x03">Stage 3</item>
      <item value="0x04">Stage 4</item>
      <item value="0x05">Stage 5</item>
      <item value="0x06">Stage 6</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@2000A8==00)">maincpu.pb@2000A8=param</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@064D1D</action>
      <action>temp1 =maincpu.mb@064E93</action>
    </script>
    <script state="run">
      <action>maincpu.mb@064D1D=CA</action>
      <action>maincpu.mb@064E93=CA</action> <!-- 1st = Normal Enemy, 2nd = Boss -->
    </script>
    <script state="off">
      <action>maincpu.mb@064D1D=temp0 </action>
      <action>maincpu.mb@064E93=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL1">
    <script state="run">
      <action>maincpu.pb@701F25=18</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pw@20069E=0280</action>
      <action>maincpu.pw@2006A0=0280</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL1">
    <script state="run">
      <action>maincpu.pw@200698=01FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@200697=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Credits PL2">
    <script state="run">
      <action>maincpu.pb@701F24=18</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pw@20079E=0280</action>
      <action>maincpu.pw@2007A0=0280</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL2">
    <script state="run">
      <action>maincpu.pw@200798=01FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@200797=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
